Subject: bug#10766: CXX gets the value 'CC' on Cygwin, but CC is in fact cc

From: Peter Rosin <[email-masked]>
Date: Wed, 08 Feb 2012 22:39:38 +0100

Stefano Lattarini skrev 2012-02-08 22:31:
> Reference:
>   <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10766>
> 
> [CC:ing the bug-autoconf list]
> 
> On 02/08/2012 10:04 PM, Peter Rosin wrote:
>> Hi!
>>
>> The testsuite on master tries to use lesser compilers, but on Cygwin
>> this causes some failures due to the fact that /usr/bin/cc{.exe} is
>> also recognized as /usr/bin/CC{.EXE} (due to the filesystem not being
>> case sensitive), leading to CXX being set to 'CC'.
>>
> That is bad.  But this sounds more like an autoconf bug, since AC_PROG_CXX
> isn't rejecting the C compiler as it IMHO should.  Or am I missing
> something?

Well, to be fair the Automake usage of AC_PROG_CXX on master is more
than a little bit special in that it overrides the search order and
puts g++ last in the list.  This isn't hitting anything real, not
anything big anyway...

Cheers,
Peter